package im.dx.system.model;

import java.util.List;

public class UserRoleTree {
    private Integer id;
    private  String name;
    private Integer parentid;
    private String pareparentname;
    /**
     * 子权限集合
     */
    private List<UserRoleTree> children;

    public List<UserRoleTree> getChildren() {
        return children;
    }

    public void setChildren(List<UserRoleTree> children) {
        this.children = children;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getParentid() {
        return parentid;
    }

    public void setParentid(Integer parentid) {
        this.parentid = parentid;
    }

    public String getPareparentname() {
        return pareparentname;
    }

    public void setPareparentname(String pareparentname) {
        this.pareparentname = pareparentname;
    }
}